<template>
  <!-- 成绩单 主页面-->
  <div>
    <TranscriptTotal v-if="isTotalScore" />
    <TranscriptSingle v-else />
    <!-- <StudentReport ref="studentReportPdf" @closePdfLoading="closePdfLoading" @isPdfDataLoadEnd="isPdfDataLoadEnd"></StudentReport> -->
  </div>
</template>

<script>

import TranscriptSingle from "@/views/analysisReport/studentPage/scrolReport/transcript_single";//单科的G组分析
import TranscriptTotal from "@/views/analysisReport/studentPage/scrolReport/transcript_total";//单科的G组分析
// import StudentReport from '../downloadPdf/studentReport.vue'

export default {
  components: {
    TranscriptSingle,
    TranscriptTotal,
    // StudentReport
  },
  computed: {
    isTotalScore(){
      return this.$store.state.report.isTotalScore;
    }
  },
  data() {
    return {
    };
  },
  created() 
  {
    
  },
  mounted() {
  },
  methods:{
    //点击顶部下载PDF按钮导出
    DownloadPdf(){
        if(this.$refs.studentReportPdf){
            this.$refs.studentReportPdf.DownloadPdf();
        }
    },
    //是否显示pdf下载按钮
    isPdfDataLoadEnd(){
      this.$emit('isPdfDataLoadEnd')
    },
    //向父级页面传值关闭下载Pdf按钮loading
    closePdfLoading(){
        this.$emit('closePdfLoading')
    },
  },
};
</script>
<style scoped lang="scss">

</style>
